curl --request POST \
--url https://api.example.com/api/v1/ops/support-cases/{supportCaseId}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"visibility": "PUBLIC",
"body": "Analisamos o seu caso."
}
'import requests
url = "https://api.example.com/api/v1/ops/support-cases/{supportCaseId}/messages"
payload = {
"visibility": "PUBLIC",
"body": "Analisamos o seu caso."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({visibility: 'PUBLIC', body: JSON.stringify('Analisamos o seu caso.')})
};
fetch('https://api.example.com/api/v1/ops/support-cases/{supportCaseId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"supportCaseMessageId": "0197f152-58dd-70c7-a69d-35ecda7ff28f",
"supportCaseId": "0197f150-40d6-7c1a-bdf2-c5884e07d401",
"senderType": "CUSTOMER",
"visibility": "PUBLIC",
"body": "Ainda preciso de ajuda.",
"createdAt": "2026-07-10T12:00:00.000Z",
"updatedAt": "2026-07-10T12:00:00.000Z",
"senderUserId": null,
"readAt": null,
"deletedAt": null
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Insufficient permissions",
"statusCode": 403
}{
"message": "Internal Server Error",
"statusCode": 500
}Create Support Case Message
Creates a support case message.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Support case identifier
"0197f150-40d6-7c1a-bdf2-c5884e07d401"
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
Body
Response
Created
Support case message
Support case message identifier
"0197f152-58dd-70c7-a69d-35ecda7ff28f"
Support case identifier
"0197f150-40d6-7c1a-bdf2-c5884e07d401"
Support case message sender type
CUSTOMER, OPERATIONS, BKO, SYSTEM "CUSTOMER"
Support case message visibility
PUBLIC, INTERNAL "PUBLIC"
Message body
10000"Ainda preciso de ajuda."
Created at
"2026-07-10T12:00:00.000Z"
Updated at
"2026-07-10T12:00:00.000Z"
Sender user identifier
null
Read at
null
Deleted at
null